pw-metadata

    pw-metadata
    ###########

    ---------------------
    The PipeWire metadata
    ---------------------

    :Manual section: 1
    :Manual group: General Commands Manual

    SYNOPSIS
    ========

    | **pw-metadata** [*options*] [*id* [*key* [*value* [*type* ] ] ] ]

    DESCRIPTION
    ===========

    Monitor, set and delete metadata on PipeWire objects.

    Metadata are key/type/value triplets attached to objects identified
    by *id*. The metadata is shared between all applications
    binding to the same metadata object. When an object is destroyed, all its
    metadata is automatically removed.

    When no *value* is given, **pw-metadata** will query and
    log the metadata matching the optional arguments *id*
    and *key*. Without any arguments, all metadata is displayed.

    When *value* is given, **pw-metadata** will set the
    metadata for *id* and *key* to *value* and
    an optional *type*.

    OPTIONS
    =======

    -r | --remote=NAME
      The name the remote instance to use. If left unspecified,
      a connection is made to the default PipeWire instance.

    -h | --help
      Show help.

    --version
      Show version information.

    -m | --monitor
      Keeps running and log the changes to the metadata.

    -d | --delete

      Delete all metadata for *id* or for the
      specified *key* of object *id*

      Without any option, all metadata is removed

    AUTHORS
    =======

    The PipeWire Developers <@PACKAGE_BUGREPORT@>; PipeWire is available from @PACKAGE_URL@

    SEE ALSO
    ========

    ``pipewire(1)``,
    ``pw-mon(1)``,
    ``pw-cli(1)``,